> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/oms/commands/transfer/transfer-out-of-stock.md).

# Transfer Out Of Stock

## <mark style="color:red;">Actors</mark>​ <a href="#actors" id="actors"></a>

* Akinon Order Management System (OMS)

## <mark style="color:red;">Domain Objects​</mark> <a href="#domain-objects" id="domain-objects"></a>

* Transfer Order
* OMS Command (Transfer Order Command)

### <mark style="color:red;">Process</mark>​ <a href="#process" id="process"></a>

1. The OMS application copies orders from the Akinon Omnitron Application to itself to prepare delivery/distribution plans, generate packaging orders and transfer them to operation points.
2. In cases where the products in the package are not in stock, the transfer scenario added by the customer is executed, and transfer orders are created. (optional)
3. Thanks to these transfer orders, products that are not in stock can be transferred from a transfer center (a warehouse or store capable of performing transfer operations) to the departure location of the package.
4. Transfer Orders are transferred to the Akinon Instore App or the customer’s integrated software. (Transfer Orders Webhooks)
5. The resulting transfer orders begin their life in a “Waiting” status.
6. If any product within the transfer order is not found in the inventory of the transfer center or if the product to be transferred is defective, the transfer cannot be carried out.
7. This situation is reported to the OMS application by the staff at the transfer center with the command `TRANSFER_OUT_OF_STOCK`.
8. After this command is executed, the relevant transfer order and transfer items are marked as `out-of-stock`, and all transfer items within the transfer order are replanned.
9. When transfer items are marked as \`out-of-stock' and replanned, they are not reassigned to the same transfer center. Depending on the stock status, they are assigned to another location.
10. Transfer items that are not marked as `out-of-stock` can be reassigned to the same transfer center when replanned.

### <mark style="color:red;">Command Parameters and Prerequisites​</mark> <a href="#command-parameters-and-prerequisites" id="command-parameters-and-prerequisites"></a>

For each Transfer Order:

* Transfer Order ID (integer – dynamic for each order)
* Command Transition ID (integer – constant – prepared and reported during OMS installation)
* Command Slug (string - unique - dynamic for each command)

If this command is run before a transfer order is moved to the “Waiting” status, a validation error will be triggered.

***

### <mark style="color:red;">`POST`</mark> <mark style="color:red;">Transfer Out Of Stock​</mark> <a href="#post-transfer-out-of-stock" id="post-transfer-out-of-stock"></a>

**Path:** `https://<customer>.omnitron.akinon.net/api/v1/oms/transfer_orders/<transferOrder_id>/command/`

* ***transition***: The ID of the command to be executed.
* ***slug***: The unique value associated with the command to be executed. It is different for each command.
* ***input\_parameters*** : The field where the IDs of transfer items to be marked as `out-of-stock` within the transfer order are added. It should be sent as an array within the `transfer items` key. When executing the command, only one of the fields `transition` or `slug` should be sent.

**Request Header​**

```
{
  "Authorization": "Token <token>"
}
```

**Request Body​**

```
{
  "transition": 111,
  "slug": "transfer_out_of_stock",
  "input_parameters": {
    "transfer_items": [
      111,
      222
    ]
  }
}
```

**Successful Response​​**

**Status Code:** `204 No Content`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akinon.com/technical-guides/oms/commands/transfer/transfer-out-of-stock.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
